Debian Bug report logs - #330167
ITA: gbatnav -- networked BattleShip game

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>

Date: Mon, 26 Sep 2005 13:33:04 UTC

Owned by: "Ying-Chun Liu (PaulLiu)" <grandpaul@gmail.com>

Severity: normal

Tags: moreinfo

Fixed in version gbatnav/1.0.4cvs20051004-3

Done: Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#330167; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Radovan Garabík <garabik@kassiopeia.juls.savba.sk>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Radovan Garabík <garabik@kassiopeia.juls.savba.sk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: gbatnav -- networked BattleShip game
Date: Mon, 26 Sep 2005 15:26:36 +0200
Package: wnpp
Severity: normal

I orphaned the gbatnav package, I have no time to maintain the package
anymore.
I have packaged the upstream CVS version, closing all the present bug,
so hopefully an adopter would not have too much work with it.


The package description is:
 Batalla Naval is a networked BattleShip game. It supports multiple players
 and multiple robots at the same time.

--
 -----------------------------------------------------------
| Radovan Garabík http://kassiopeia.juls.savba.sk/~garabik/ |
| __..--^^^--..__    garabik @ kassiopeia.juls.savba.sk     |
 -----------------------------------------------------------
Antivirus alert: file .signature infected by signature virus.
Hi! I'm a signature virus! Copy me into your signature file to help me spread!



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#330167; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to César Gómez Martín <cesar.gomez@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 330167@bugs.debian.org (full text, mbox):

From: César Gómez Martín <cesar.gomez@gmail.com>
To: 330167@bugs.debian.org, garabik@kassiopeia.juls.savba.sk
Subject: ITA: gbatnav -- networked BattleShip game
Date: Fri, 23 Dec 2005 15:18:50 +0100
Hi, I would like to adopt gbatnav. I used it regularily and I would
like to mantain it.

BTW: Since I am a new mantainer I will need a sponsor for this issue.

Cheers,
César

Owner recorded as cesar.gomez@gmail.com. Request was from Bart Martens <bart.martens@advalvas.be> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Bart Martens <bart.martens@advalvas.be> to control@bugs.debian.org. Full text and rfc822 format available.

Owner changed from cesar.gomez@gmail.com to Cesar Gomez Martin <cesar.gomez@gmail.com>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#330167; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #21 received at 330167-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: César Gómez Martín <cesar.gomez@gmail.com>
Cc: 330167-quiet@bugs.debian.org
Subject: Re: ITA: gbatnav -- networked BattleShip game
Date: Mon, 23 Jan 2006 08:08:26 +0100
On Fri, Dec 23, 2005 at 15:18:50 +0100, César Gómez Martín wrote:
> Hi, I would like to adopt gbatnav. I used it regularily and I would
> like to mantain it.

Do you still intend to adopt gbatnav?  (This is just a ping, I'm not
interested in adopting it myself.)

Thanks,

Matej



Information stored:
Bug#330167; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to César Gómez Martín <cesar.gomez@gmail.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #26 received at 330167-quiet@bugs.debian.org (full text, mbox):

From: César Gómez Martín <cesar.gomez@gmail.com>
Cc: 330167-quiet@bugs.debian.org
Subject: Re: ITA: gbatnav -- networked BattleShip game
Date: Thu, 26 Jan 2006 00:28:32 +0100
Yes, I am still interested. I was very busy organizing the first
Debian meeting in Extremadura
http://wiki.debian.org/DebianInstallerWorkSessionExtremadura2006jan

Sorry for the delay :)

On 1/23/06, Matej Vela <vela@debian.org> wrote:
> On Fri, Dec 23, 2005 at 15:18:50 +0100, César Gómez Martín wrote:
> > Hi, I would like to adopt gbatnav. I used it regularily and I would
> > like to mantain it.
>
> Do you still intend to adopt gbatnav?  (This is just a ping, I'm not
> interested in adopting it myself.)
>
> Thanks,
>
> Matej
>


--
César Gómez Martín - www.cesargomez.org -

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Cesar Gomez Martin <cesar.gomez@gmail.com>:
Bug#330167; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to César Gómez Martín <cesar.gomez@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Cesar Gomez Martin <cesar.gomez@gmail.com>. Full text and rfc822 format available.

Message #31 received at 330167@bugs.debian.org (full text, mbox):

From: César Gómez Martín <cesar.gomez@gmail.com>
To: 330167@bugs.debian.org
Subject: status
Date: Fri, 3 Feb 2006 11:52:26 +0100
No open bugs.  Thanks for leaving this package in good shape.

To adopt gbatnav I must repackage it as the new maintainer.  Here it is,
version 1.0.4cvs20051004-3:

http://www.cek.bitacoras.com/debian/

I'm looking for a sponsor to verify and upload it.

Thanks in advance,
César.

Information stored:
Bug#330167; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #36 received at 330167-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: César Gómez Martín <cesar.gomez@gmail.com>
Cc: 330167-quiet@bugs.debian.org
Subject: Bug#330167: ITA: gbatnav -- networked BattleShip game
Date: Thu, 06 Apr 2006 12:24:50 +0200
On Fri, Feb 03, 2006 at 11:52:26 +0100, César Gómez Martín wrote:
> To adopt gbatnav I must repackage it as the new maintainer.  Here it is,
> version 1.0.4cvs20051004-3:
>
> http://www.cek.bitacoras.com/debian/
>
> I'm looking for a sponsor to verify and upload it.

The URL returns "403 Forbidden".  Do you still intend to adopt
gbatnav?

Thanks,

Matej



Information stored:
Bug#330167; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "César Gómez Martín" <cesar.gomez@gmail.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #41 received at 330167-quiet@bugs.debian.org (full text, mbox):

From: "César Gómez Martín" <cesar.gomez@gmail.com>
To: "Matej Vela" <vela@debian.org>
Cc: 330167-quiet@bugs.debian.org
Subject: Re: Bug#330167: ITA: gbatnav -- networked BattleShip game
Date: Thu, 6 Apr 2006 12:27:59 +0200
On 4/6/06, Matej Vela <vela@debian.org> wrote:
> On Fri, Feb 03, 2006 at 11:52:26 +0100, César Gómez Martín wrote:
> > To adopt gbatnav I must repackage it as the new maintainer.  Here it is,
> > version 1.0.4cvs20051004-3:
> >
> > http://www.cek.bitacoras.com/debian/
> >
> > I'm looking for a sponsor to verify and upload it.
>
> The URL returns "403 Forbidden".  Do you still intend to adopt
> gbatnav?
>

Yes, sorry for that Matej. I've been without ftp access to the server
since last week. I'll fix this ASAP.

Cheers,
César

Information stored:
Bug#330167; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #46 received at 330167-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: César Gómez Martín <cesar.gomez@gmail.com>
Cc: 330167-quiet@bugs.debian.org
Subject: Re: Bug#330167: ITA: gbatnav -- networked BattleShip game
Date: Mon, 03 Jul 2006 15:08:39 +0200
"César Gómez Martín" <cesar.gomez@gmail.com> writes:

> On 4/6/06, Matej Vela <vela@debian.org> wrote:
>> The URL returns "403 Forbidden".  Do you still intend to adopt
>> gbatnav?
>
> Yes, sorry for that Matej. I've been without ftp access to the server
> since last week. I'll fix this ASAP.

Any progress?

Thanks,

Matej



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Cesar Gomez Martin <cesar.gomez@gmail.com>:
Bug#330167; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Cesar Gomez Martin <cesar.gomez@gmail.com>. Full text and rfc822 format available.

Message #51 received at 330167@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: César Gómez Martín <cesar.gomez@gmail.com>
Cc: control@bugs.debian.org, 330167@bugs.debian.org
Subject: Re: Bug#330167: ITA: gbatnav -- networked BattleShip game
Date: Tue, 25 Jul 2006 17:42:56 +0200
retitle 330167 O: gbatnav -- networked BattleShip game
noowner 330167
thanks

On Mon, Jul 03, 2006 at 15:08:39 +0200, Matej Vela wrote:
> "César Gómez Martín" <cesar.gomez@gmail.com> writes:
>
>> Yes, sorry for that Matej. I've been without ftp access to the server
>> since last week. I'll fix this ASAP.
>
> Any progress?

I haven't heard back from you, so I'm assuming you're no longer
interested.  If you are, feel free to retitle the bugs again.

Thanks,

Matej



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Removed annotation that Bug was owned by Cesar Gomez Martin <cesar.gomez@gmail.com>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Mon, 10 Dec 2007 16:39:04 GMT) Full text and rfc822 format available.

Changed Bug title to `RM: gbatnav -- RoQA; obsolete' from `O: gbatnav -- networked BattleShip game'. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Mon, 10 Dec 2007 16:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#330167; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Joerg Jaspert <joerg@ganneff.de>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #64 received at 330167@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@ganneff.de>
To: 330167@bugs.debian.org
Cc: packages@qa.debian.org
Subject: not removed yet
Date: Tue, 11 Dec 2007 22:53:38 +0100
** junior-gnome has an unsatisfied dependency on alpha: gbatnav
** junior-gnome has an unsatisfied dependency on amd64: gbatnav
** junior-gnome has an unsatisfied dependency on arm: gbatnav
** junior-gnome has an unsatisfied dependency on hppa: gbatnav
** junior-gnome has an unsatisfied dependency on hurd-i386: gbatnav
** junior-gnome has an unsatisfied dependency on i386: gbatnav
** junior-gnome has an unsatisfied dependency on ia64: gbatnav
** junior-gnome has an unsatisfied dependency on m68k: gbatnav
** junior-gnome has an unsatisfied dependency on mips: gbatnav
** junior-gnome has an unsatisfied dependency on mipsel: gbatnav
** junior-gnome has an unsatisfied dependency on powerpc: gbatnav
** junior-gnome has an unsatisfied dependency on s390: gbatnav
** junior-gnome has an unsatisfied dependency on sparc: gbatnav
Dependency problem found.
Continue (y/N)? 
Aborted.

-- 
bye Joerg
<GyrosGeier> SCSI benötigt drei Terminierungen, eine am einen Ende, eine
am anderen Ende, und das Leben einer Ziege über einer schwarzen Kerze




Tags added: moreinfo Request was from Joerg Jaspert <joerg@debian.org> to control@bugs.debian.org. (Tue, 11 Dec 2007 21:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#330167; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "Ying-Chun Liu (PaulLiu)" <grandpaul@gmail.com>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #71 received at 330167@bugs.debian.org (full text, mbox):

From: "Ying-Chun Liu (PaulLiu)" <grandpaul@gmail.com>
To: 330167@bugs.debian.org, 460763@bugs.debian.org
Subject: Re: RM: gbatnav -- RoQA; obsolete
Date: Fri, 25 Jan 2008 17:13:24 +0800
[Message part 1 (text/plain, inline)]
Dear all,

I've made a patch for transition this package to gnome2.
Please give me few days to prepare a new package for uploading.

I attached the patch first.

Regards,
 Ying-Chun Liu

-- 
                                                PaulLiu(Ying-Chun Liu)
E-mail address: grandpaul@gmail.com
[gbatnav-gnome2.patch (text/x-patch, inline)]
Index: gbatnav-1.0.4cvs20051004/configure.in
===================================================================
--- gbatnav-1.0.4cvs20051004.orig/configure.in	2008-01-25 16:53:27.860777566 +0800
+++ gbatnav-1.0.4cvs20051004/configure.in	2008-01-25 16:54:59.364432839 +0800
@@ -4,7 +4,7 @@
 AM_INIT_AUTOMAKE(gbatnav, 1.0.5pre)
 AM_MAINTAINER_MODE
 AM_ACLOCAL_INCLUDE(macros)
-GNOME_INIT
+#GNOME_INIT
 
 AC_PROG_CC
 AC_PROG_LN_S
@@ -13,9 +13,12 @@
 AC_HEADER_STDC
 AC_ARG_PROGRAM
 
-dnl GNOME_COMPILE_WARNINGS
+#dnl GNOME_COMPILE_WARNINGS
 
-GNOME_X_CHECKS
+#GNOME_X_CHECKS
+PKG_CHECK_MODULES(GNOME,[libgnomeui-2.0])
+AC_SUBST(GNOME_CFLAGS)
+AC_SUBST(GNOME_LIBS)
 
 ALL_LINGUAS="es de pl ja ru fr"
 AM_GNU_GETTEXT
@@ -49,11 +52,11 @@
 AC_SUBST(CPPFLAGS)
 AC_SUBST(LDFLAGS)
 
-gnome_cv_use_gnome=yes
+#gnome_cv_use_gnome=yes
 
+#intl/Makefile
 AC_OUTPUT([
 Makefile
-intl/Makefile
 po/Makefile.in
 macros/Makefile
 common/Makefile
Index: gbatnav-1.0.4cvs20051004/gbnclient/Makefile.am
===================================================================
--- gbatnav-1.0.4cvs20051004.orig/gbnclient/Makefile.am	2008-01-25 16:53:41.361316985 +0800
+++ gbatnav-1.0.4cvs20051004/gbnclient/Makefile.am	2008-01-25 16:55:17.365151669 +0800
@@ -11,7 +11,8 @@
 	@GGZMOD_INCLUDES@	\
 	$(GNOME_INCLUDEDIR)	\
 	-I$(srcdir)/pixmaps	\
-	-DBINDIR=\"$(bindir)\"
+	-DBINDIR=\"$(bindir)\" \
+	@GNOME_CFLAGS@
 
 bin_PROGRAMS = gbnclient 
 
@@ -44,7 +45,8 @@
 	@GGZMOD_LDFLAGS@		\
 	$(GNOME_LIBDIR)			\
 	$(GNOMEUI_LIBS)			\
-	$(INTLLIBS)
+	$(INTLLIBS) \
+	@GNOME_LIBS@
 
 
 EXTRA_DIST = README AUTHORS	\
Index: gbatnav-1.0.4cvs20051004/gbnclient/g_interface.c
===================================================================
--- gbatnav-1.0.4cvs20051004.orig/gbnclient/g_interface.c	2008-01-25 16:53:49.361636464 +0800
+++ gbatnav-1.0.4cvs20051004/gbnclient/g_interface.c	2008-01-25 16:55:29.365631022 +0800
@@ -147,19 +147,21 @@
 {
 	GtkWidget *href, *hbox;
 	static GtkWidget *about = NULL;
+	static GdkPixbuf *gnome_gbatnav=NULL;
 	static const char *authors[] = {
 		"Ricardo C. Quesada (riq@core-sdi.com)",
 		NULL
 	};
 
 	if (!about) {
-
+		gnome_gbatnav = gdk_pixbuf_new_from_file("gnome-gbatnav.png",NULL);
 		about = gnome_about_new (_("Batalla Naval client"),
 				VERSION,
 				_("(C) 1998-2001 Ricardo C. Quesada"),
-				(const char**) authors,
 				_("A multiplayer networked battleship game."),
-				"gnome-gbatnav.png");
+				(const char**) authors,
+				NULL, NULL,
+				gnome_gbatnav);
 
 		gtk_signal_connect (GTK_OBJECT (about), "destroy",
 				    GTK_SIGNAL_FUNC (gtk_widget_destroyed),
@@ -307,6 +309,8 @@
 	GtkTooltips *tooltips;
 	GtkWidget *inputline;
 	GtkWidget *vbox_buttons;
+	GtkScrolledWindow *scrolledWindow=NULL;
+        GtkTextIter text_iter;
 
 #ifdef ENABLE_NLS
 # define ELEMENTS(x) (sizeof(x) / sizeof(x[0])) 
@@ -376,16 +380,19 @@
 
    
 	/* respecto al drawing_about */
+        scrolledWindow = GTK_SCROLLED_WINDOW(gtk_scrolled_window_new(NULL,NULL));
 	hbox_text_help = gtk_hbox_new ( FALSE, 0);
 	gtk_widget_show( hbox_text_help );
    
-	text_help = gtk_text_new(NULL,NULL);
-	gtk_box_pack_start( GTK_BOX(hbox_text_help), text_help, FALSE,TRUE,0);
+	text_help = GTK_WIDGET(gtk_text_view_new());
+	gtk_container_add(GTK_CONTAINER(scrolledWindow),text_help);
 	gtk_widget_show(text_help);
+	gtk_box_pack_start( GTK_BOX(hbox_text_help), GTK_WIDGET(scrolledWindow), TRUE,TRUE,0);
+	gtk_widget_show(GTK_WIDGET(scrolledWindow));
    
-	vscrollbar_help = gtk_vscrollbar_new (GTK_TEXT (text_help)->vadj);
-	gtk_box_pack_start( GTK_BOX(hbox_text_help), vscrollbar_help, FALSE,TRUE,0);
-	gtk_widget_show (vscrollbar_help);
+	vscrollbar_help = gtk_scrolled_window_get_vscrollbar(scrolledWindow);
+	/*gtk_box_pack_start( GTK_BOX(hbox_text_help), vscrollbar_help, FALSE,TRUE,0);*/
+	/*gtk_widget_show (vscrollbar_help);*/
    
 	label_left = gtk_label_new(_("My board"));
 	gtk_notebook_append_page ( GTK_NOTEBOOK(notebook_left),drawing_left,label_left);
@@ -432,23 +439,28 @@
 
 	gtk_widget_show(separator);
    
+        scrolledWindow = GTK_SCROLLED_WINDOW(gtk_scrolled_window_new(NULL,NULL));
 	hbox_text = gtk_hbox_new ( FALSE, 0);
 	gtk_container_add ( GTK_CONTAINER(vbox), hbox_text );
 	gtk_widget_show( hbox_text );
    
-	text = gtk_text_new(NULL,NULL);
-	gtk_box_pack_start( GTK_BOX(hbox_text), text, TRUE,TRUE,0);
+	text = GTK_WIDGET(gtk_text_view_new());
+	gtk_container_add(GTK_CONTAINER(scrolledWindow),text);
 	gtk_widget_show(text);
-   
-	vscrollbar = gtk_vscrollbar_new (GTK_TEXT (text)->vadj);
+	gtk_box_pack_start( GTK_BOX(hbox_text), GTK_WIDGET(scrolledWindow), TRUE,TRUE,0);
+	gtk_widget_show(GTK_WIDGET(scrolledWindow));
+
+	vscrollbar = gtk_scrolled_window_get_vscrollbar(scrolledWindow);
 	gtk_range_set_update_policy( GTK_RANGE( vscrollbar ), GTK_UPDATE_CONTINUOUS );
-	gtk_box_pack_start( GTK_BOX(hbox_text), vscrollbar, FALSE,TRUE,0);
-	gtk_widget_show (vscrollbar);
+	/*gtk_box_pack_start( GTK_BOX(hbox_text), vscrollbar, FALSE,TRUE,0);
+	gtk_widget_show (vscrollbar);*/
    
-	gtk_text_freeze(GTK_TEXT(text));
+	/*gtk_text_freeze(GTK_TEXT(text));*/
 	gtk_widget_realize(text); 
-	gtk_text_insert( GTK_TEXT(text),NULL,NULL,NULL,"Gnome Batalla Naval client v"IPVERSION" by riq (c) 1998-2001" ,-1);
-	gtk_text_thaw(GTK_TEXT(text));
+	/*gtk_text_insert( GTK_TEXT(text),NULL,NULL,NULL,"Gnome Batalla Naval client v"IPVERSION" by riq (c) 1998-2001" ,-1);*/
+	gtk_text_buffer_get_end_iter(gtk_text_view_get_buffer(GTK_TEXT_VIEW(text)),&text_iter);
+	gtk_text_buffer_insert(gtk_text_view_get_buffer(GTK_TEXT_VIEW(text)),&text_iter,"Gnome Batalla Naval client v"IPVERSION" by riq (c) 1998-2001" ,-1);
+	/*gtk_text_thaw(GTK_TEXT(text));*/
 
   
 	inputline = gtk_entry_new();
Index: gbatnav-1.0.4cvs20051004/gbnclient/gbnclient.c
===================================================================
--- gbatnav-1.0.4cvs20051004.orig/gbnclient/gbnclient.c	2008-01-25 16:53:58.862016009 +0800
+++ gbatnav-1.0.4cvs20051004/gbnclient/gbnclient.c	2008-01-25 16:55:42.866170181 +0800
@@ -111,9 +111,10 @@
 /* Quick Help tab */
 void bn_help( void )
 {
-	gtk_text_freeze(GTK_TEXT(text_help));
+        GtkTextIter text_help_iter;
+	/*gtk_text_freeze(GTK_TEXT(text_help));*/
 	gtk_widget_realize(text_help);
-	gtk_text_insert( GTK_TEXT(text_help),NULL,NULL,NULL
+	/*gtk_text_insert( GTK_TEXT(text_help),NULL,NULL,NULL
 		,_("Batnav Quick Help -\n"
 		"Use this to hide your ships\n"
 		"Fill the board with:\n"
@@ -126,8 +127,22 @@
 		"Send bugs,comments, etc to:\n"
 		"  riq@core-sdi.com\n"
 		) ,-1 );
-	
-	gtk_text_thaw(GTK_TEXT(text_help));
+	*/
+	gtk_text_buffer_get_end_iter(gtk_text_view_get_buffer(GTK_TEXT_VIEW(text_help)),&text_help_iter);
+	gtk_text_buffer_insert(gtk_text_view_get_buffer(GTK_TEXT_VIEW(text_help)),&text_help_iter
+	        ,_("Batnav Quick Help -\n"
+		"Use this to hide your ships\n"
+		"Fill the board with:\n"
+		"  4 ships of 1 unit\n"
+		"  3 ships of 2 units\n"
+		"  2 ships of 3 units\n"
+		"  1 ship of 4 units\n"
+		"  or press 'Random'\n"
+		"Then press 'Send ships' and 'Start'\n"
+		"Send bugs,comments, etc to:\n"
+		"  riq@core-sdi.com\n"
+		) ,-1 );	
+	/*gtk_text_thaw(GTK_TEXT(text_help));*/
    
 }
 /****************************************************************************
Index: gbatnav-1.0.4cvs20051004/gbnclient/pantalla.c
===================================================================
--- gbatnav-1.0.4cvs20051004.orig/gbnclient/pantalla.c	2008-01-25 16:54:05.362275687 +0800
+++ gbatnav-1.0.4cvs20051004/gbnclient/pantalla.c	2008-01-25 16:55:54.866649402 +0800
@@ -174,6 +174,7 @@
 	gchar messg2[200];
    	gfloat new_value ;
 	gint h,w;
+        GtkTextIter text_iter;
 
 	va_list args;
 
@@ -185,12 +186,16 @@
 		strncat(messg,messg2,200);
 		va_end( args );
 
-	   	gtk_text_freeze(GTK_TEXT(text));
+	   	/*gtk_text_freeze(GTK_TEXT(text));*/
    		gtk_widget_realize(text);
-   		gtk_text_insert( GTK_TEXT(text),NULL,NULL,NULL,messg,-1);
-   		gtk_text_thaw(GTK_TEXT(text));
+   		/*gtk_text_insert( GTK_TEXT(text),NULL,NULL,NULL,messg,-1);*/
+   		gtk_text_buffer_get_end_iter(gtk_text_view_get_buffer(GTK_TEXT_VIEW(text)),&text_iter);
+   		gtk_text_buffer_insert(gtk_text_view_get_buffer(GTK_TEXT_VIEW(text)),&text_iter,messg,-1);
+   		/*gtk_text_thaw(GTK_TEXT(text));*/
   
-   		gdk_window_get_size( GTK_TEXT( text )->text_area, &w, &h );
+   		/*gdk_window_get_size( GTK_TEXT( text )->text_area, &w, &h );*/
+   		gtk_text_buffer_get_end_iter(gtk_text_view_get_buffer(GTK_TEXT_VIEW(text)),&text_iter);
+   		gtk_text_view_get_line_yrange( GTK_TEXT_VIEW(text), &text_iter,&w,&h);
 
    		if( GTK_RANGE( vscrollbar )->adjustment->upper >= h ) {
 			new_value = GTK_RANGE( vscrollbar )-> adjustment->upper - h;
Index: gbatnav-1.0.4cvs20051004/gbnrobot/Makefile.am
===================================================================
--- gbatnav-1.0.4cvs20051004.orig/gbnrobot/Makefile.am	2008-01-25 16:54:15.362675170 +0800
+++ gbatnav-1.0.4cvs20051004/gbnrobot/Makefile.am	2008-01-25 16:56:16.367509479 +0800
@@ -9,7 +9,8 @@
 	-DGNOMELOCALEDIR=\""$(datadir)/locale"\"	\
 	-DPIXMAPDIR=\"$(datadir)/pixmaps/\"		\
 	-I$(includedir)	\
-	$(GNOME_INCLUDEDIR)
+	$(GNOME_INCLUDEDIR) \
+	@GNOME_CFLAGS@
 
 bin_PROGRAMS = gbnrobot
 
@@ -27,7 +28,8 @@
 	$(GNOME_LIBDIR)			\
 	$(GNOMEUI_LIBS)			\
 	@GGZMOD_LDFLAGS@		\
-	$(INTLLIBS)
+	$(INTLLIBS) \
+	@GNOME_LIBS@
 
 appicon_DATA = gbnrobot.png
 
Index: gbatnav-1.0.4cvs20051004/gbnserver/Makefile.am
===================================================================
--- gbatnav-1.0.4cvs20051004.orig/gbnserver/Makefile.am	2008-01-25 16:54:23.362994784 +0800
+++ gbatnav-1.0.4cvs20051004/gbnserver/Makefile.am	2008-01-25 16:56:31.368111326 +0800
@@ -11,7 +11,8 @@
 	$(GNOME_INCLUDEDIR)			\
 	@GGZDMOD_INCLUDES@			\
 	-I$(srcdir)/../gbnclient/pixmaps	\
-	-DBINDIR=\"$(bindir)\"
+	-DBINDIR=\"$(bindir)\" \
+	@GNOME_CFLAGS@
 
 bin_PROGRAMS = gbnserver
 
@@ -36,7 +37,8 @@
 	@GGZDMOD_LDFLAGS@		\
 	$(GNOME_LIBDIR)			\
 	$(GNOMEUI_LIBS)			\
-	$(INTLLIBS)
+	$(INTLLIBS) \
+	@GNOME_LIBS@
 
 EXTRA_DIST = README AUTHORS index.html gbnserver.desktop gbatnav-topic.dat gnome-gbatnavd.png index.html
 
Index: gbatnav-1.0.4cvs20051004/gbnserver/g_interface.c
===================================================================
--- gbatnav-1.0.4cvs20051004.orig/gbnserver/g_interface.c	2008-01-25 16:54:28.863214460 +0800
+++ gbatnav-1.0.4cvs20051004/gbnserver/g_interface.c	2008-01-25 16:56:43.368592646 +0800
@@ -49,17 +49,24 @@
 static void about(GtkWidget *widget, gpointer data)
 {
    GtkWidget *about;
+   GdkPixbuf *gnome_gbatnav=NULL;
    gchar *authors[] = {
       "riq (riq@core-sdi.com)",
       NULL
    };
    
+   gnome_gbatnav = gdk_pixbuf_new_from_file("gnome-gbatnav.png",NULL);
    about = gnome_about_new (_("Batalla Naval server"), VERSION,
 			    "(C) 1998-2001 Ricardo C. Quesada",
-			    (const char**) authors,
 			    _("A multiplayer, multirobot, networked battleship game"),
-			    "gnome-gbatnav.png");
+			    (const char**) authors,
+			    NULL, NULL,
+			    gnome_gbatnav);
    gtk_widget_show (about);
+   if (gnome_gbatnav !=NULL) {
+     g_object_unref(gnome_gbatnav);
+     gnome_gbatnav=NULL;
+   }
 }
 
 GnomeUIInfo gamemenu[] = 
@@ -163,7 +170,8 @@
 		gtk_clist_append (GTK_CLIST (clist), clist_texts);
 	}
 
-	boton = gnome_stock_button(GNOME_STOCK_BUTTON_OK);
+	/*boton = gnome_stock_button(GNOME_STOCK_BUTTON_OK);*/
+	boton = GTK_WIDGET(gtk_button_new_from_stock(GTK_STOCK_OK));
 	gtk_box_pack_start( GTK_BOX( clist_box), boton, TRUE, TRUE, 0);
 
 	gtk_widget_show_all (window);
Index: gbatnav-1.0.4cvs20051004/gbnserver/play.h
===================================================================
--- gbatnav-1.0.4cvs20051004.orig/gbnserver/play.h	2008-01-25 16:54:37.363554003 +0800
+++ gbatnav-1.0.4cvs20051004/gbnserver/play.h	2008-01-25 16:56:54.369033967 +0800
@@ -1,6 +1,7 @@
 /*	$Id: play.h,v 1.1.1.1 2000/02/13 00:56:49 riq Exp $	*/
 #ifndef __BN_PLAY_H__
 # define __BN_PLAY_H__
+#include <gdk/gdk.h>
 
 void play_batnav( gpointer , gint , GdkInputCondition );
 gint quejugador( gint );

Bug reassigned from package `ftp.debian.org' to `wnpp'. Request was from "Ying-Chun Liu (PaulLiu)" <grandpaul@gmail.com> to control@bugs.debian.org. (Fri, 25 Jan 2008 11:48:03 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: gbatnav -- networked BattleShip game' from `RM: gbatnav -- RoQA; obsolete'. Request was from "Ying-Chun Liu (PaulLiu)" <grandpaul@gmail.com> to control@bugs.debian.org. (Fri, 25 Jan 2008 11:48:03 GMT) Full text and rfc822 format available.

Owner recorded as "Ying-Chun Liu (PaulLiu)" <grandpaul@gmail.com>. Request was from "Ying-Chun Liu (PaulLiu)" <grandpaul@gmail.com> to control@bugs.debian.org. (Fri, 25 Jan 2008 11:48:04 GMT) Full text and rfc822 format available.

Tags added: moreinfo Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Fri, 25 Jan 2008 17:51:05 GMT) Full text and rfc822 format available.

Reply sent to Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Radovan Garabík <garabik@kassiopeia.juls.savba.sk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #84 received at 330167-close@bugs.debian.org (full text, mbox):

From: Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>
To: 330167-close@bugs.debian.org
Subject: Bug#330167: fixed in gbatnav 1.0.4cvs20051004-3
Date: Fri, 25 Jan 2008 18:32:02 +0000
Source: gbatnav
Source-Version: 1.0.4cvs20051004-3

We believe that the bug you reported is fixed in the latest version of
gbatnav, which is due to be installed in the Debian FTP archive:

gbatnav_1.0.4cvs20051004-3.diff.gz
  to pool/main/g/gbatnav/gbatnav_1.0.4cvs20051004-3.diff.gz
gbatnav_1.0.4cvs20051004-3.dsc
  to pool/main/g/gbatnav/gbatnav_1.0.4cvs20051004-3.dsc
gbatnav_1.0.4cvs20051004-3_amd64.deb
  to pool/main/g/gbatnav/gbatnav_1.0.4cvs20051004-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 330167@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com> (supplier of updated gbatnav package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 25 Jan 2008 22:00:22 +0800
Source: gbatnav
Binary: gbatnav
Architecture: source amd64
Version: 1.0.4cvs20051004-3
Distribution: unstable
Urgency: low
Maintainer: Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>
Changed-By: Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>
Description: 
 gbatnav    - networked BattleShip game
Closes: 330167 346529 449962 460763
Changes: 
 gbatnav (1.0.4cvs20051004-3) unstable; urgency=low
 .
   * New Maintainer (Closes: #330167)
   * Bump standard version to 3.7.3
   * Bump debhelper compat to 5
   * gnome2 transition (Closes: #460763)
     + Use quilt to handle patches for previous patch and new patches
     + Add debian/patches/gnome2_transition_*.patch to transit to gnome2
     + Use autoconf/automake to re-generate configure
   * Update watch file (Closes: #449962)
     Thanks to Raphael Geissert <atomo64@gmail.com>
   * Include Swedish PO translation (Closes: #346529)
     Thanks to Daniel Nylander <yeager@lidkoping.net>
   * Add Homepage field in debian/control
   * Add dh_desktop in debian/rules
     Thanks to Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Files: 
 c14c6d7864405431056c7293dc9ac534 736 gnome optional gbatnav_1.0.4cvs20051004-3.dsc
 ce3678fab9fb128e944474ead0970ad6 11320 gnome optional gbatnav_1.0.4cvs20051004-3.diff.gz
 607e7a9692d56abdb6f9ad1654043171 125930 gnome optional gbatnav_1.0.4cvs20051004-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHmie5vGr7W6HudhwRAmSYAJwJ0xaLz7mJCrWKA3v00OEJrWEdTgCgiCCa
sm1dx5qoRM3EsP9cbLwcZwM=
=gz8T
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Aug 2008 09:05:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:34:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.